> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Invoice HSN Summary

> Get E-Invoice HSN summary for a return period for an authenticated taxpayer.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/e-invoice/get_hsn_summary.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/hsn/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/e-invoices/hsn/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - e-Invoice
      summary: Get E-Invoice HSN Summary
      description: >-
        Get E-Invoice HSN summary for a return period for an authenticated
        taxpayer.
      operationId: getEInvoiceHsnSummary
      parameters:
        - name: year
          in: path
          description: Return period year.
          required: true
          example: '2026'
          schema:
            type: string
            example: '2024'
        - name: month
          in: path
          description: Return period month.
          required: true
          example: '03'
          schema:
            type: string
            example: '05'
        - name: authorization
          in: header
          description: GST taxpayer access token.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version.
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: >-
            200 Success. The GST portal marks this source API as unencrypted,
            but the sandbox response is still wrapped in the standard
            `code/data/timestamp/transaction_id` envelope.
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    data:
                      data:
                        gstin: 01AABCE2207R1Z5
                        fp: '052020'
                        hsn:
                          hsn_b2b:
                            - num: 1
                              hsn_sc: '2101'
                              desc: >-
                                MISCELLANEOUS EDIBLE PREPARATIONS~Extracts,
                                essences and concentrates, of coffee, tea or
                                mate and preparations with a basis of these
                                products or with a basis of coffee, tea or mate;
                                roasted chicory and other roasted coffee
                                substitutes, and extracts, essences and
                                concentrates thereof
                              user_desc: Taxpayer Description
                              uqc: BDL
                              qty: 12
                              rt: 0.1
                              txval: 1212
                              iamt: 3342
                              camt: 343
                              samt: 24
                              csamt: 423
                              chksum: fasdflkjwhrkfjshdfua
                          hsn_b2c:
                            - num: 1
                              hsn_sc: '1102'
                              desc: CEREAL FLOURS OTHER THAN THAT OF WHEAT OR MESLIN
                              user_desc: Taxpayer Description
                              uqc: BDL
                              qty: 10
                              rt: 0.1
                              txval: 4312
                              iamt: 242
                              camt: 643
                              samt: 24
                              csamt: 423
                              chksum: bnsfsfskfsifi
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 5fc1acb2-1fd0-49e8-b6f3-19b60e67009d
                record_not_found:
                  summary: Record Not Found
                  value:
                    code: 200
                    timestamp: 1782371440348
                    data:
                      status_cd: '0'
                      error:
                        message: No record found.
                        error_cd: EINV30118
                    transaction_id: a781640f-c537-4e53-b3dc-eb782bbc0482
          headers: {}
      deprecated: false
      security: []

````